"use strict";
/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.unboxedFlexNode = void 0;
const lazyNode_js_1 = require("./lazyNode.js");
/**
 * Returns the flex tree node, of the value if it has one.
 */
function unboxedFlexNode(context, cursor) {
    const value = cursor.value;
    if (value !== undefined) {
        return value;
    }
    return (0, lazyNode_js_1.makeTree)(context, cursor);
}
exports.unboxedFlexNode = unboxedFlexNode;
//# sourceMappingURL=unboxed.js.map