/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { makeTree } from "./lazyNode.js";
/**
 * Returns the flex tree node, of the value if it has one.
 */
export function unboxedFlexNode(context, cursor) {
    const value = cursor.value;
    if (value !== undefined) {
        return value;
    }
    return makeTree(context, cursor);
}
//# sourceMappingURL=unboxed.js.map